<div class="externo">
  <div class="interno">
    <h2>Login</h2>
    <form [formGroup]="form">
      <div class="form-group">
        <label for="email">Email:</label>
        <input type="text" formControlName="email" class="form-control" [ngClass]="{ 'is-invalid': submitted && form.controls.email.errors }" />
      </div>
      <div class="form-group">
        <label for="pwd">Senha:</label>
        <input formControlName="password" type="password" class="form-control" id="pwd" placeholder="Digite sua senha" name="pswd">
      </div>
      <div class="form-group form-check">
        <label class="form-check-label">
          <input class="form-check-input" type="checkbox" name="remember"> Lembrar-me
        </label>
      </div>
      <button class="btn btn-primary" (click)="entrar()">Entrar</button>
    </form>
  </div>
</div>